# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libqt4-devel
# END SourceDeps(oneline)
Summary: Morse Code (CW) Training Software
Name: cutecw
Version: 1.0
Release: alt1_4
License: GPLv2
Group: Communications
URL: http://www.hamtools.org/%{name}/
Source: http://www.hamtools.org/%{name}/releases/%{name}-%{version}.tar.gz
Source1: cutecw.desktop
# Uses the PREFIX variable instead of assuming /usr or /usr/local
# upstream has applied this in the git repo
Patch1: cutecw-paths.patch

BuildRequires: qt4-devel >= 4.7
BuildRequires: desktop-file-utils
Source44: import.info

%description
Most morse code (CW) training requires you to learn everything at once
without a training process. This application changes that and
separates training into phases.

%prep
%setup -q 

%patch1 -p1 -b .paths

%build
qmake-qt4 PREFIX=/usr
make %{?_smp_mflags}

%install

make install INSTALL_ROOT=%{buildroot}

%{__mkdir_p} %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/
%{__cp} icons/cutecw.svg %{buildroot}/%{_datadir}/icons/hicolor/scalable/apps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE1}

%files 
%doc LICENSE README.org
%{_bindir}/cutecw
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_datadir}/applications/cutecw.desktop

%changelog
* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_4
- initial fc import

